gtk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Bin Gtk.IActivatable A widget used for items in menus.

The and derived widgets are the only valid children for menus. Their function is to correctly handle highlighting, alignment, events and submenus.

`MenuBar mb = new MenuBar (); Menu file_menu = new Menu (); MenuItem exit_item = new MenuItem("Exit"); file_menu.Append (exit_item); MenuItem file_item = new MenuItem("File"); file_item.Submenu = file_menu; mb.Append (file_item);`
- Constructor
  A constructor.
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  The label text on the menu item, with an underscore in front of the mnemonic character.
  Creates a new MenuItem containing a label.
- Property
  GLib.Property("accel-path")
  System.String Sets the accelerator path. The accelerator path of the menu item.

  Sets the accelerator path, through which runtime changes of the menu item's accelerator caused by the user can be identified and saved to persistant storage.

- Method
  System.Void Emits the event on the given item.
- Event
  GLib.Signal("activate")
  System.EventHandler Emitted when the item is activated.
- Event
  GLib.Signal("activate-item")
  System.EventHandler Emitted when the item is activated, but also if the menu item has a submenu. For normal applications, the relevant event is .
- Method
  System.Void Fires the event.
- Event
  GLib.Signal("deselect")
  System.EventHandler To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Property
  GLib.Property("label")
  System.String To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideActivated", Type=typeof(Gtk.MenuItem))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideActivateItem", Type=typeof(Gtk.MenuItem))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDeselected", Type=typeof(Gtk.MenuItem))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetLabel", Type=typeof(Gtk.MenuItem))
  System.String To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSelected", Type=typeof(Gtk.MenuItem))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSetLabel", Type=typeof(Gtk.MenuItem))
  System.Void `` To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideToggleSizeAllocated", Type=typeof(Gtk.MenuItem))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideToggleSizeRequested", Type=typeof(Gtk.MenuItem))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  GLib.Property("related-action")
  Gtk.Action To be added. To be added. To be added.
- Property
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("right-justified")
  System.Boolean Sets or obtains whether the menu item appears justified at the right side of a menu bar. Returns if the menu item will appear at the far right if added to a menu bar.
- Method
  System.Void Fires the event.
- Event
  GLib.Signal("select")
  System.EventHandler To be added. To be added.
- Property
  GLib.Property("submenu")
  Gtk.Widget Sets or obtains the widget submenu. A submenu for this menu item, or if none. `// A container: Menu mnuFile = new Menu(); // An item MenuItem itmFile = new MenuItem ("_File"); // Add the item into the container: itmFile.Submenu = mnuFile; // // Add the newly-created File menu into the menubar: menuBar.Add (itmFile);`
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` The allocation to use as signal data. Emits the event on the given item.
- Event
  GLib.Signal("toggle-size-allocate")
  Gtk.ToggleSizeAllocatedHandler Emitted when size is allocated.
- Method
  System.Int32 Emits the event on the given item. The requisition to use as signal data.
- Event
  GLib.Signal("toggle-size-request")
  Gtk.ToggleSizeRequestedHandler Emitted when size is requested.
- Property
  GLib.Property("use-action-appearance")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("use-underline")
  System.Boolean To be added. To be added. To be added.